Create InvoiceAsk AIpost https://app.moderntreasury.com/api/invoicesCreate a new invoiceBody Paramsauto_advancebooleanDefaults to falseWhen true, the invoice will progress to unpaid automatically and cannot be edited after entering that state. If the invoice fails to progress to unpaid, the errors will be returned and the invoice will not be created.truefalsecontact_detailsarray of objectsThe invoicer's contact details displayed at the top of the invoice.contact_detailsADD objectcounterparty_idstringrequiredcounterparty_billing_addressobjectThe counterparty's billing address.counterparty_billing_address objectcounterparty_shipping_addressobjectThe counterparty's shipping address where physical goods should be delivered.counterparty_shipping_address objectcurrencystringDefaults to USDDefaults to USD if not provided.descriptionstringdue_datedaterequiredA datefallback_payment_methodstringenumDefaults to manualWhen payment_method is automatic: fallback payment method to use when an automatic payment fails.uimanualAllowed:uimanualinvoice_line_itemsarray of objectsAn array of invoice line items. The API supports a maximum of 50 invoice line items per invoice. If a greater number of invoice line items is required, please contact support.invoice_line_itemsADD objectinvoicer_namestringName of the issuer for the invoice. Defaults to the Organization name in Modern Treasury.invoicer_addressobjectThe invoice issuer's business address.invoicer_address objectoriginating_account_idstringrequiredThe internal account the invoice should be paid to.payment_methodstringenumDefaults to manualWhen opening an invoice, whether to show the embedded payment UI, automatically create a payment or rely on manual payment from the recipient.uiautomaticmanualAllowed:uiautomaticmanualpayment_effective_datedateWhen payment_method is automatic: the date that the transaction resulting from the automatically created payment order is to be posted to the participants’ account.payment_typestringenumWhen payment_method is automatic: payment_type on the automatically created payment orderacheftAllowed:acheftreceiving_account_idstringWhen payment_method is automatic: receiving_account_id on the automatically created payment ordernotifications_enabledbooleanIf true, the invoice will send email notifications to the invoice recipients about invoice status changes.truefalsenotification_email_addressesarray of stringsEmails in addition to the counterparty email to send invoice status notifications to. At least one email is required if notifications are enabled and the counterparty doesn't have an email.notification_email_addressesADD stringvirtual_account_idstringThe virtual account associated with an invoice. The virtual account routing and accounts numbers will be shown on the invoice in place of the internal account information.recipient_namestringThe name of the recipient of the invoice. Leaving this value as null will fallback to using the counterparty's name.recipient_emailstringThe email of the recipient of the invoice. Leaving this value as null will fallback to using the counterparty's email.remind_after_overdue_daysarray of int32sA list of days after the due date on which overdue reminder emails should be sent. Maximum length of 3, and maximum value of 365, email notifications must be enabledremind_after_overdue_daysADD int32metadatajsonAdditional data represented as key-value pairs. Both the key and value must be strings. See Metadata.Updated 9 months ago